| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PDPFactory Struct Reference

`#include <RTPSParticipantAttributes.hpp>`

## Public Member Functions

bool | operator== (const struct PDPFactory &e) const

## Public Attributes

PDP *(* | CreatePDPInstance )(BuiltinProtocols *)
void(* | ReleasePDPInstance )(PDP *)

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const struct PDPFactory & | e | ) | const

inline

## Member Data Documentation

## ◆ CreatePDPInstance

PDP *(* CreatePDPInstance) (BuiltinProtocols *)

## ◆ ReleasePDPInstance

void(* ReleasePDPInstance) (PDP *)

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAttributes.hpp